python-esmre_0.3.1-3build3_i386.deb


Advertisement

Description

python-esmre - Regular expression acceleration in Python2

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename python-esmre_0.3.1-3build3_i386.deb
Package name python-esmre
Package version 0.3.1
Package release 3build3
Package architecture i386
Package type deb
Category universe/python
Homepage http://code.google.com/p/esmre/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 11.01 KB
Installed size 41.00 KB
esmre is a Python module that can be used to speed up the execution of a large
collection of regular expressions. It works by building a index of compulsory
substrings from a collection of regular expressions, which it uses to quickly
exclude those expressions which trivially do not match each input.
This is the Python 2 version of the package.

Alternatives

Package Version Architecture Repository
python-esmre_0.3.1-3build3_amd64.deb 0.3.1 amd64 Ubuntu Universe
python-esmre - - -

Requires

Name Value
libc6 >= 2.4
python << 2.8
python >= 2.7~
python-pkg-resources -
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-esmre_0.3.1-3build3_i386.deb
Source Package python-esmre

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-esmre deb package:
    # sudo apt-get install python-esmre

Files

Path
/usr/lib/python2.7/dist-packages/esm.i386-linux-gnu.so
/usr/lib/python2.7/dist-packages/esmre.py
/usr/lib/python2.7/dist-packages/esmre-0.3.1.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/esmre-0.3.1.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/esmre-0.3.1.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/esmre-0.3.1.egg-info/top_level.txt
/usr/share/doc/python-esmre/README
/usr/share/doc/python-esmre/changelog.Debian.gz
/usr/share/doc/python-esmre/copyright

Changelog

2017-08-04 - Michael Hudson-Doyle <michael.hudson@ubuntu.com>
python-esmre (0.3.1-3build3) artful; urgency=medium
* No change rebuild to drop Python 3.5 support.
2017-05-12 - Michael Hudson-Doyle <michael.hudson@ubuntu.com>
python-esmre (0.3.1-3build2) artful; urgency=medium
* No change rebuild to add Python 3.6 support.
2016-01-18 - Matthias Klose <doko@ubuntu.com>
python-esmre (0.3.1-3build1) xenial; urgency=medium
* No-change rebuild to drop python3.4 support.
2015-09-10 - Gianfranco Costamagna <locutusofborg@debian.org>
python-esmre (0.3.1-3) unstable; urgency=medium
* Update my uid.
2015-04-20 - Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
python-esmre (0.3.1-2) unstable; urgency=medium
* Move the repository to collab-maint and set myself as Maintainer.
2015-02-16 - Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
python-esmre (0.3.1-1) unstable; urgency=medium
* Initial release (Closes: #719790)

See Also

Package Description
python-espeak_0.5-1build5_i386.deb Python bindings for eSpeak
python-et-xmlfile_1.0.1-2_all.deb low memory library for creating large XML files (Python 2)
python-etcd3gw-doc_0.2.1-1_all.deb client for etcd3 grpc-gateway v3 API - doc
python-etcd3gw_0.2.1-1_all.deb client for etcd3 grpc-gateway v3 API - Python 2.7
python-etcd_0.4.3-2_all.deb Python Etcd client library
python-ethtool_0.12-1.1_i386.deb Python bindings for the ethtool kernel interface
python-evdev-doc_0.7.0+dfsg-2_all.deb Python bindings for the Linux input subsystem (docs)
python-evdev_0.7.0+dfsg-2_i386.deb Python bindings for the Linux input subsystem
python-evemu_2.6.0-0.1_i386.deb Linux Input Event Device Emulation Library - Python bindings
python-evtx_0.6.1-1_all.deb parser for recent Windows Event Log files -- Python 2 version
python-ewmh-doc_0.1.5-1_all.deb Python interface to EWMH-compliant window managers (common documentation)
python-ewmh_0.1.5-1_all.deb Python interface to EWMH-compliant window managers (Python 2)
python-exabgp_4.0.2-2_all.deb BGP swiss army knife of networking - Python 2 module
python-exactimage_1.0.1-1_i386.deb fast image manipulation library (Python bindings)
python-exam_0.10.5-2_all.deb Python module to help write better tests
Advertisement
Advertisement